> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.littglobal.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.littglobal.com/_mcp/server.

# Get Notifications

POST TBD/api/v2/notifications

To get user notifications

Reference: https://docs.littglobal.com/litt-white-label/api-reference/notification/get-notifications

## Request

### Query parameters

- `api_token` (string, optional)

## Response

### 200

Get Notifications

- `message` (string, optional)
- `api` (string, optional)
- `status` (string, optional)
- `data` (list of ApiV2NotificationsPostResponsesContentApplicationJsonSchemaDataItems, optional)

## Types

### ApiV2NotificationsPostResponsesContentApplicationJsonSchemaDataItems

- `notification_id` (string, optional)
- `status` (string, optional)
- `value` (ApiV2NotificationsPostResponsesContentApplicationJsonSchemaDataItemsValue, optional)
- `created` (string, optional)

### ApiV2NotificationsPostResponsesContentApplicationJsonSchemaDataItemsValue

- `user_id` (string, optional)
- `username` (string, optional)
- `is_vip` (integer, optional)
- `is_local_hero` (integer, optional)
- `is_investor` (integer, optional)
- `merchant` (string, optional)
- `message` (string, optional)
- `push_type` (integer, optional)
- `profile_image` (string, optional)
- `profile_image_url` (string, optional)

## Examples

**Response**

```json
{
  "message": "Notifications has been loaded",
  "api": "notifications",
  "status": "success",
  "data": [
    {
      "notification_id": "d1acd424-717-48c5-90da-931598fe87dd",
      "status": "unread",
      "value": {
        "user_id": "LITT",
        "username": "LITT",
        "is_vip": 1,
        "is_local_hero": 0,
        "is_investor": 0,
        "merchant": "0",
        "message": "Welcome to LITT!",
        "push_type": 32,
        "profile_image": "q5so7l8gxdlyyze97d1f.jpg",
        "profile_image_url": "https://litt-ap-southeast-2-dev.s3-ap-southeast-2.amazonaws.com/1353513e-28db-4c21-b022-3126cc25c830/profile/placeholder_profile_image.png"
      },
      "created": "2024-03-12 09:13:03"
    },
    {
      "notification_id": "3e229b56-a1b4-4397-bb5d-60811210423e",
      "status": "unread",
      "value": {
        "user_id": "LITT",
        "username": "LITT",
        "is_vip": 1,
        "is_local_hero": 0,
        "is_investor": 0,
        "merchant": "0",
        "message": "You're now following LITT",
        "push_type": 33,
        "profile_image": "q5so7l8gxdlyyze97d1f.jpg",
        "profile_image_url": "https://litt-ap-southeast-2-dev.s3-ap-southeast-2.amazonaws.com/1353513e-28db-4c21-b022-3126cc25c830/profile/placeholder_profile_image.png"
      },
      "created": "2024-03-12 09:13:03"
    }
  ]
}
```

**SDK Code**

```python Notification_getNotifications_example
import requests

url = "https://tbd/api/v2/notifications"

querystring = {"api_token":"{{token}}"}

response = requests.post(url, params=querystring)

print(response.json())
```

```javascript Notification_getNotifications_example
const url = 'https://tbd/api/v2/notifications?api_token=%7B%7Btoken%7D%7D';
const options = {method: 'POST'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Notification_getNotifications_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://tbd/api/v2/notifications?api_token=%7B%7Btoken%7D%7D"

	req, _ := http.NewRequest("POST", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Notification_getNotifications_example
require 'uri'
require 'net/http'

url = URI("https://tbd/api/v2/notifications?api_token=%7B%7Btoken%7D%7D")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)

response = http.request(request)
puts response.read_body
```

```java Notification_getNotifications_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://tbd/api/v2/notifications?api_token=%7B%7Btoken%7D%7D")
  .asString();
```

```php Notification_getNotifications_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://tbd/api/v2/notifications?api_token=%7B%7Btoken%7D%7D');

echo $response->getBody();
```

```csharp Notification_getNotifications_example
using RestSharp;

var client = new RestClient("https://tbd/api/v2/notifications?api_token=%7B%7Btoken%7D%7D");
var request = new RestRequest(Method.POST);
IRestResponse response = client.Execute(request);
```

```swift Notification_getNotifications_example
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://tbd/api/v2/notifications?api_token=%7B%7Btoken%7D%7D")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```